

j=100;
lobe = zeros(100,200);
fi=(100-i)/100*pi;
        theta = j/200*2*pi;
        [x y z]=sph2xyz(theta,fi);
        ld = zeros(3,1);
        ld(1)=y;
        ld(2)=-z;
        ld(3)=-x;
        ld'*ld;
        ans.*ans;
        lobe(i,j)=sqrt(sum(ans(:))).^ksize;
for ii = i-50:i+50
    for jj=j-50:j+50

fi=(100-ii)/100*pi;
        theta = jj/200*2*pi;
        [x y z]=sph2xyz(theta,fi);
        ldx = zeros(3,1);
        ldx(1)=y;
        ldx(2)=-z;
        ldx(3)=-x;
        ld'*ldx;
        ans.*ans;
        lobe(ii+100,jj+200)=sqrt(sum(ans(:))).^ksize;
    end
end

blur = lighting1;
blur = repmat(blur,[3 3]);
% blur = Q;
% if i>50
lobe = repmat(lobe,[3 3]);
phonglobe = lobe(i+100-50:i+100+50,j+200-50:j+200+50);

phonglobe = phonglobe./sum(phonglobe(:));
J=deconvlucy(blur,phonglobe);%/sum(phonglobe(:)));
J = J(101:200,201:400);
